Package org.apache.sysds.runtime.io.hdf5.message

# Class H5FillValueMessage

java.lang.Object
org.apache.sysds.runtime.io.hdf5.message.H5Message
org.apache.sysds.runtime.io.hdf5.message.H5FillValueMessage

public class H5FillValueMessage extends H5Message

## Constructor Summary

Constructors
Constructor
Description
`H5FillValueMessage(H5RootObject rootObject, BitSet flags, int spaceAllocationTime, int fillValueWriteTime, boolean fillValueDefined)`
`H5FillValueMessage(H5RootObject rootObject, BitSet flags, ByteBuffer bb)`

## Method Summary

Modifier and Type
Method
Description
`ByteBuffer`
`getFillValue()`
`int`
`getFillValueWriteTime()`
`int`
`getSpaceAllocationTime()`
`boolean`
`isFillValueDefined()`
`void`
`toBuffer(H5BufferBuilder bb)`

### Methods inherited from class org.apache.sysds.runtime.io.hdf5.message.H5Message

`readObjectHeaderMessage`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### H5FillValueMessage

public H5FillValueMessage(H5RootObject rootObject, BitSet flags, int spaceAllocationTime, int fillValueWriteTime, boolean fillValueDefined)

### H5FillValueMessage

public H5FillValueMessage(H5RootObject rootObject, BitSet flags, ByteBuffer bb)

## Method Details

### toBuffer

public void toBuffer(H5BufferBuilder bb)

### getSpaceAllocationTime

public int getSpaceAllocationTime()

### getFillValueWriteTime

public int getFillValueWriteTime()

### isFillValueDefined

public boolean isFillValueDefined()

### getFillValue

public ByteBuffer getFillValue()